コンテンツへスキップ

カタログAPI (2.0.0)

概要

  • バージョン: 2.0.0
  • サーバー: https://store.xsolla.com/api
  • メールでのお問い合わせ
  • お問い合わせURL: https://xsolla.com/
  • 必要なTLSバージョン: 1.2

カタログAPIを使用すると、ゲーム内アイテムのカタログをエクソーラ側で設定し、そのカタログをストア内でユーザーに表示することができます。

本APIでは、以下のカタログエンティティを管理できます:

  • 仮想アイテム — 武器、スキン、ブースターなどのゲーム内アイテム。
  • 仮想通貨 — 仮想商品の購入に使用される仮想通貨。
  • 仮想通貨パッケージ — 事前定義された仮想通貨のバンドル。
  • バンドル — 仮想アイテム、通貨、またはゲームキーを1つのSKUとしてまとめたパッケージ。
  • ゲームキー — Steamやその他のDRMプロバイダーを通じて配布される、ゲームおよびDLCのキー。
  • グループ — カタログ内のアイテムを整理または並べ替えするための論理的なグループ分け。

APIコール

本APIは、以下のグループに分かれています:

  • Admin — カタログアイテムやグループの作成、更新、削除、および設定を行うためのコール。マーチャントまたはプロジェクトの認証情報による基本アクセス認証で認証されます。ストアフロントでの使用は想定されていません。
  • Catalog — アイテムの取得や、エンドユーザー向けのカスタムストアフロントを構築するためのコール。高負荷なシナリオに対応できるよう設計されています。ユーザー個別の制限事項や実施中のプロモーションなど、パーソナライズされたデータを返すための、ユーザーJWTによる任意認証をサポートしています。

認証

APIコールには、ユーザーまたはプロジェクトのいずれかに代わって認証が必要です。使用される認証スキームは、各コールの説明のセキュリティセクションに指定されています。

ユーザーのJWTを使用した認証

ユーザーのJWTを使用した認証は、ブラウザ、モバイルアプリケーション、またはゲームからリクエストが送信される場合に使用されます。デフォルトでは、XsollaLoginUserJWTスキームが適用されます。トークンの作成方法の詳細については、エクソーラログインAPIに関するドキュメントを参照してください。

トークンはAuthorizationヘッダーに次の形式で渡されます:Authorization: Bearer <user_JWT>。ここで<user_JWT>はユーザートークンです。このトークンによってユーザーが特定され、パーソナライズされたデータへのアクセスが可能になります。

別の方法として、決済UIを開くためのトークンを使用することも可能です。

基本HTTP認証

基本HTTP認証は、ユーザーのブラウザやモバイルアプリケーションからではなく、サーバーから直接APIコールが送信される場合のサーバー間のやり取りに使用されます。通常、APIキーを使用したHTTP基本認証が使用されます。

注意

APIキーは機密性高いため、クライアントアプリケーション側での保存および使用は厳禁とします。

基本的なサーバーサイド認証では、すべてのAPIリクエストに以下のヘッダーを含める必要があります:

  • basicAuthの場合 — Authorization: Basic <your_authorization_basic_key>。ここでyour_authorization_basic_keyは、Base64でエンコードされたproject_id:api_keyペアです。
  • basicMerchantAuthの場合 — Authorization: Basic <your_authorization_basic_key>。ここでyour_authorization_basic_keyは、Base64でエンコードされたmerchant_id:api_keyペアです。

パラメータの値はパブリッシャーアカウントで確認できます:

  • merchant_idは次の場所に表示されます:
    • 会社設定 > 会社
    • パブリッシャーアカウントの任意のページのブラウザアドレスバーのURLに。URLの形式は以下の通りです: https://publisher.xsolla.com/<merchant_id>
  • project_idは次の場所に表示されます:
    • パブリッシャーアカウントのプロジェクト名の横に。
    • パブリッシャーアカウントでプロジェクトを操作しているときのブラウザアドレスバーのURLに。URLの形式は以下の通りです:https://publisher.xsolla.com/<merchant_id>/projects/<project_id>
  • api_keyは作成時にのみパブリッシャーアカウントに表示され、あなたの側で安全に保管する必要があります。APIキーは次のセクションで作成できます:
注意

必要なAPIコールにproject_idパスパラメータが含まれていない場合、認証を行うには、会社のすべてのプロジェクト共通で有効なAPIキーを使用してください。

APIキーの操作に関する詳細は、APIリファレンスを参照してください。

ゲストアクセスをサポートする認証

AuthForCart認証スキームはカートでの購入用であり、以下の2つのモードに対応しています:

  1. ユーザーのJWTを使用した認証。 トークンは、次の形式でAuthorizationヘッダーに渡されます: Authorization: Bearer <user_JWT>。ここで<user_JWT>はユーザートークンです。このトークンはユーザーを識別し、パーソナライズされたデータへのアクセスを提供します。 または、決済UIを開くためのトークンを使用することもできます。

  2. 認証ヘッダーを使用しない簡易モード。 このモードは未認証ユーザーにのみ使用され、ゲームキー販売にのみ適用できます。リクエストにはトークンの代わりに、以下のヘッダーを含める必要があります:

    • リクエストIDを含むx-unauthorized-id
    • Base64でエンコードされたユーザーのメールアドレスを含むx-user

主要なエンティティ構造

すべてのタイプ(仮想アイテム、バンドル、仮想通貨、キー)のアイテムは、同様のデータ構造を使用しています。この基本構造を理解することで、APIの利用が簡素化され、ドキュメントをよりスムーズに読み進められるようになります。

注意

一部のコールには追加のフィールドが含まれる場合がありますが、基本構造が変わることはありません。

識別

  • merchant_idパブリッシャーアカウントにおける会社ID
  • project_id — パブリッシャーアカウントにおけるプロジェクトID
  • sku — アイテムSKU、プロジェクト内で一意です

ストア表示

  • name — アイテム名
  • description — アイテム説明
  • image_url — 画像URL
  • is_enabled — アイテムの可用性
  • is_show_in_store — アイテムがカタログに表示されるかどうか

カタログ内のアイテムの可用性管理に関する詳細は、ドキュメントを参照してください。

組織

  • type — アイテムタイプ、例:仮想アイテム(virtual_item)またはバンドル(bundle
  • groups — アイテムが属するグループ
  • order — カタログ内の表示順序

販売条件

  • prices — 実際通貨または仮想通貨での価格
  • limits — 購入制限
  • periods — 可用期間
  • regions — 地域別制限

主要なエンティティ構造の例:

{
  "attributes": [],
  "bundle_type": "virtual_currency_package",
  "content": [
    {
      "description": {
        "en": "Main in-game currency"
      },
      "image_url": "https://.../image.png",
      "name": {
        "en": "Crystals",
        "de": "Kristalle"
      },
      "quantity": 500,
      "sku": "com.xsolla.crystal_2",
      "type": "virtual_currency"
    }
  ],
  "description": {
    "en": "Crystals x500"
  },
  "groups": [],
  "image_url": "https://.../image.png",
  "is_enabled": true,
  "is_free": false,
  "is_show_in_store": true,
  "limits": {
    "per_item": null,
    "per_user": null,
    "recurrent_schedule": null
  },
  "long_description": null,
  "media_list": [],
  "name": {
    "en": "Medium crystal pack"
  },
  "order": 1,
  "periods": [
    {
      "date_from": null,
      "date_until": "2020-08-11T20:00:00+03:00"
    }
  ],
  "prices": [
    {
      "amount": 20,
      "country_iso": "US",
      "currency": "USD",
      "is_default": true,
      "is_enabled": true
    }
  ],
  "regions": [],
  "sku": "com.xsolla.crystal_pack_2",
  "type": "bundle",
  "vc_prices": []
}

基本的な購入フロー

エクソーラAPIを使用すると、ゲーム内ストアのロジックを実装でき、アイテムカタログの取得、カートの管理、注文の作成、そのステータスの追跡が可能です。統合シナリオに応じて、APIコールは管理者カタログのサブセクションに分かれ、異なる認証スキームを使用します。

以下の例は、アイテムの作成から購入に至るまで、ストアのセットアップおよび運用の基本フローを示しています。

アイテムおよびグループの作成(管理者向け)

仮想アイテム、バンドル、仮想通貨など、ストアのアイテムカタログを作成します。

APIコールの例:

プロモーション、チェーン、および制限の設定(管理者向け)

割引、ボーナス、デイリー報酬、またはオファーチェーンなど、ユーザー獲得および収益化のためのツールを設定します。

APIコールの例:

アイテム情報の取得(クライアント向け)

アプリケーション内でのアイテム表示を設定します。

注意

ユーザーカタログを構築するために管理サブセクションのAPIコールを使用しないでください。これらのAPIコールにはレート制限があり、ユーザーのトラフィックを対象としていません。

APIコールの例:

注意

デフォルトでは、カタログAPIコールはリクエスト時にストアで現在利用可能なアイテムを返します。まだ利用可能でない、または利用できなくなったアイテムを取得するには、カタログリクエストにパラメータ"show_inactive_time_limited_items": 1を含めてください。

アイテムの販売

アイテムは以下の方法で販売できます:

  • 迅速な購入 — 1つのSKUを複数回販売します。
  • カート購入 — ユーザーがアイテムをカートに追加し、アイテムを削除し、単一の注文内で数量を更新します。

アイテムが実際のお金ではなく仮想通貨で購入された場合は、仮想通貨で購入した指定アイテムで注文を作成するAPIコールを使用してください。当該APIコールの実行時に課金処理が行われるため、決済UIを表示する必要はありません。

無料アイテムの購入には、指定した無料アイテムで注文を作成するAPIコールまたは無料カートで注文を作成するAPIコールを使用してください。決済UIを表示する必要はありません。注文は即時にdoneステータスに設定されます。

迅速な購入

クライアント側のAPIコールを使用して、指定したアイテムで注文を作成します。このコールは、決済UIを開くために使用するトークンを返します。

注意

割引情報は決済UIでのみユーザーに提供されます。プロモーションコードはサポートされていません。

カート購入

カートの設定と購入は、クライアントまたはサーバー側で実行できます。

クライアント側でのカートのセットアップと購入

アイテムの追加および削除のロジックは、独自に実装してください。カートを設定するためのAPIを呼び出す前は、購入にどのプロモーションが適用されるかに関する情報は取得できません。つまり、合計金額や、追加されるボーナスアイテムの詳細を事前に知ることはできません。

以下のカートロジックを実装します:

  1. プレイヤーがカートにアイテムを入れた後、カートにアイテムを入れるAPIコールを使用します。このコールは、選択されたアイテムに関する現在の情報(割引前後の価格、ボーナスアイテム)を返します。
  2. ユーザーのアクションに基づいてカートの内容を更新します:
注意

カートの現在のステータスを取得するには、現在のユーザーのカートを取得するAPIコールを使用してください。
  1. 現在のカートからすべてのアイテムで注文を作成するAPIコールを使用します。このコールは注文IDと決済トークンを返します。新しく作成された注文はデフォルトでnewステータスに設定されます。

サーバー側でのカートのセットアップと購入

カートへの変更ごとにAPIコールを伴う必要があるため、この設定オプションではカートの設定に時間がかかる場合があります。

以下のカートロジックを実装します:

  1. プレイヤーがカートにアイテムを入れた後、カートにアイテムを入れるAPIコールを使用します。このコールは、選択されたアイテムに関する現在の情報(割引前後の価格、ボーナスアイテム)を返します。
  2. 現在のカートのすべてのアイテムで注文を作成するAPIコールを使用します。このコールは、注文IDと支払いトークンを返します。新しく作成された注文は、デフォルトでnewステータスに設定されます。

決済UIを開く

返されたトークンを使用して、新しいウィンドウで決済UIを開きます。決済UIを開くその他の方法は、ドキュメントに記載されています。

| アクション | エンドポイント | |:--------------------------------|:--------------------------------------------------------------------------| | 本番環境で開きます。 | https://secure.xsolla.com/paystation4/?token={token} | | サンドボックスモードで開きます。 | https://sandbox-secure.xsolla.com/paystation4/?token={token} |

注意

開発およびテスト中はサンドボックスモードを使用してください。テスト購入では実際のアカウントに料金は発生しません。テスト用銀行カードを使用できます。

最初の実際の支払いが行われた後、厳格なサンドボックス決済ポリシーが適用されます。サンドボックスモードでの支払いは、パブリッシャーアカウント > 会社設定 > ユーザーで指定されたユーザーのみが利用可能です。

実際通貨で仮想通貨やアイテムを購入するには、エクソーラとのライセンス契約を締結する必要があります。これを行うには、パブリッシャーアカウント契約と税金 > 契約に移動し、契約フォームを記入して確認を待ちます。契約の審査には最大3営業日かかる場合があります。

サンドボックスモードを有効または無効にするには、迅速な購入およびカート購入のリクエストでsandboxパラメータの値を変更します。サンドボックスモードはデフォルトでオフになっています。

可能な注文状況:

  • new — 注文作成済み
  • paid — 支払い受領済み
  • done — アイテム付与完了
  • canceled — 注文キャンセル済み
  • expired — 注文期限切れ

以下のいずれかの方法を使用して、注文ステータスを追跡します:

ページネーション

大規模なレコードセットを返すAPIコール(カタログを構築する場合など)では、データがページ分割されて返されます。ページネーションは、単一のAPI応答で返されるアイテム数を制限し、下一ページのデータを順次取得できるようにするための仕組みです。

返されるアイテム数を制御するには、以下のパラメータを使用します:

  • limit — 1ページあたりのアイテム件数
  • offset — ページ上の最初のアイテムのインデックス(番号付けは0から始まります)
  • has_more — 次のページが利用可能かどうかを示します
  • total_items_count — アイテムの総数

リクエスト例:

GET /items?limit=20&offset=40

応答例:

{
  "items": [...],
  "has_more": true,
  "total_items_count": 135
}

応答がhas_more = falseを返すまで、後続のリクエストを送信することをお勧めします。

日付と時刻の形式

日付と時間の値は、ISO 8601フォーマットで渡されます。

以下がサポートされています:

  • UTCオフセット
  • アイテムの表示に時間制限がない場合はnull
  • 一部のフィールドで使用されるUnixタイムスタンプ(秒単位)

フォーマット:YYYY-MM-DDTHH:MM:SS±HH:MM

例:2026-03-16T10:00:00+03:00

ローカリゼーション

エクソーラは、アイテム名や説明などのユーザー向けフィールドのローカライズをサポートしています。ローカライズされた値は、言語コードをキーとするオブジェクトとして渡されます。サポートされている言語の完全なリストは、ドキュメントで確認できます。

サポートされているフィールド

次のパラメータに対してローカリゼーションを指定できます:

  • name
  • description
  • long_description

ロケール形式

ロケールキーは、以下のいずれかのフォーマットで指定できます:

  • 2文字の言語コード:enru
  • 5文字の言語コード: en-USru-RUde-DE

2文字の言語コードの例:

{
  "name": {
    "en": "Starter Pack",
    "ru": "Стартовый набор"
  }
}

5文字の言語コードの例:

{
  "description": {
    "en-US": "Premium bundle",
    "de-DE": "Premium-Paket"
  }
}

エラー応答フォーマット

エラーが発生した場合、APIはHTTPステータスとJSON応答本文を返します。ストア関連のエラーの全リストはドキュメントで確認できます。

応答例:

{
  "errorCode": 1102,
  "errorMessage": "Validation error",
  "statusCode": 422,
  "transactionId": "c9e1a..."
}
  • errorCode — エラーコード。
  • errorMessage — 短いエラー説明。
  • statusCode — HTTP応答ステータス。
  • transactionId — リクエストID。一部の場合にのみ返されます。
  • errorMessageExtended — リクエストパラメータなどの追加エラー詳細。一部の場合にのみ返されます。

拡張応答例:

{
  "errorCode": 7001,
  "errorMessage": "Chain not found",
  "errorMessageExtended": {
    "chain_id": "test_chain_id",
    "project_id": "test_project_id",
    "step_number": 2
  },
  "statusCode": 404
}

共通のHTTPステータスコード

  • 400 — 無効なリクエスト
  • 401 — 認証エラー
  • 403 — 権限不足
  • 404 — リソースが見つかりません
  • 422 — 検証エラー
  • 429 — レート制限超過

推奨事項

  • HTTPステータスと応答本文を一緒に処理します。
  • errorCodeを使用してアプリケーションロジックに関連するエラーを処理します。
  • transactionIdを使用して、エラーを分析する際にリクエストをより迅速に特定します。
OpenAPI記述をダウンロード
言語
サーバー
https://store.xsolla.com/api/
Mock server
https://xsolla.redocly.app/_mock/ja/api/catalog/

概要

仮想アイテムと仮想通貨を使用してインゲームストアを構築し、ユーザーへの表示方法を設定できます。以下のアイテムタイプが利用可能です:

  • 仮想アイテム — 武器、スキン、ブースターなどのゲーム内アイテム。実際のお金または仮想通貨で販売できます。
  • 仮想通貨 — 仮想アイテムの購入に使用されるゲーム内通貨。実際のお金または仮想通貨で販売できます。
  • 仮想通貨パッケージ — 仮想通貨の固定数量パック。実際のお金または仮想通貨で販売できます。

グループは、カタログ内のアイテムを整理するために使用されます。アイテムを論理的にグループ化し、表示方法を管理することができます。

管理者サブセクションのAPIコールを使用して、アイテムの作成、更新、削除を行います。

カタログサブセクションのAPIコールを使用して、アイテムのリストを取得し、ユーザーに表示します。

注意

管理者サブセクションのAPIコールを使用してストアカタログを構築しないでください。

注意

仮想アイテムリストを取得するAPIコールは、価格や属性を含む詳細なアイテムデータを返し、ページネーションをサポートします。ストアフロントでカタログページを表示するために使用してください。

すべての仮想アイテムリストを取得するAPIコールは、ページネーションなしでアイテムSKU、名前、説明、グループIDと名前を返します。クライアント側の検索やインデックス作成に使用してください。

仮想通貨で購入する場合、仮想通貨で購入された指定アイテムで注文を作成するAPIコールを使用してください。当該APIコールの実行時に課金処理が行われるため、決済UIを表示する必要はありません。

仮想通貨での購入フローの例:

仮想通貨での購入フローの例:

操作
操作
操作

概要

ゲームキーは、ユーザーがゲームプラットフォーム上でゲームやDLCにアクセスできるようにするための、使い切りのユニークな半角英数字コードです。ゲームキーは、ダイレクトリンクストアUI、またはウィジェットを介して販売することができます。また、特定の国でゲームキーを販売するために、地域制限を設定することも可能です。詳細については、ゲームキーパッケージセクションを参照してください。

ゲームキーを販売する際、ユーザー認証は必須ではありません。キーは、ユーザーがチェックアウト時に指定したメールアドレス宛に送信されます。また、認証を設定することで、個人用設定購入制限エンタイトルメントシステムといった追加のシナリオを有効にすることも可能です。詳細については、ゲームキー販売時の認証設定方法セクションを参照してください。

ゲームキーの販売フロー:

  1. ゲームを作成するAPIコールを使用して、ゲームを作成します。
  2. 地域制限を設定します。
  3. コードをアップロードするAPIコールを使用してゲームキーパッケージにキーをアップロードし、購入可能な状態にします。
  4. ゲームリストを取得するAPIコールを使用して、ユーザーの地域に応じた価格とともにゲームカタログを表示します。
  5. 注文を作成します。素早く購入できるようにするには、ゲームキーのSKUを渡し、現在のカート内の全アイテムを含む注文を作成するAPIコールを使用できます。レスポンスとして、決済UIを開くためのトークンが返されます。
  6. 注文の支払いを行うために、決済UIを開く処理を実装します。

決済完了の通知をタイムリーに受け取り、ユーザーにアイテムを付与するには、たとえば、ウェブフックを使用して注文ステータスのトラッキングを設定してください。キーは、ユーザーがチェックアウト時に指定したメールアドレス宛に送信され、注文ステータスはdoneに移行します。

ゲームキー

操作
操作
操作

概要

バンドルとは、複数のアイテムを1つの単位としてセット販売するものです。バンドルには、仮想アイテム、仮想通貨、仮想通貨パッケージ、ゲームキー、および他のバンドルを含めることができます。バンドルを活用することで、スターターパック、季節限定オファー、特別セールなどを作成できます。

バンドルを操作するには、以下のAPIコールグループを使用します:

  • バンドルの作成、更新、削除、およびそれらの公開状態を管理するには、管理者サブセクションのAPIコールを使用します。
  • バンドルの情報取得には、カタログサブセクションのAPIコールを使用します。

購入制限は、バンドルの作成または更新時にlimitsオブジェクトを介して設定します。詳細については、制限の概要を参照してください。また、特定の国でアイテムを販売するために、地域制限を設定することも可能です。

注意

バンドルの設定に関する詳細情報については、バンドルセクションを参照してください。

バンドル管理のシナリオ:

  1. バンドルを作成する APIコールを使用して、バンドルを作成します。作成したバンドルを検証するには、バンドルを取得するAPIコールを使用します。プロジェクト内のすべてのバンドルを取得するには、バンドルリストを取得するAPIコールを使用します。
  2. 必要に応じて、バンドルを更新するAPIコールを使用し、バンドルの内容や設定を変更します。
  3. バンドルリストを取得する指定したバンドルを取得する、または指定したグループのバンドルリストを取得するAPIコールを使用して、ストアフロントにバンドルの表示ロジックを実装します。
  4. カートと決済セクションを使用して注文を作成します。たとえば、素早く購入できるようにするには、バンドルのSKUを渡し、指定したアイテムを含む注文を作成するAPIコールを使用できます。応答には、決済UIを開くためのトークンが含まれています。
  5. 注文の支払いを行うために、決済UIを開く処理を実装します。
  6. 決済が完了したアイテムのデータをタイムリーに受け取り、ユーザーにそれらを付与するために、たとえばウェブフックを使用して注文ステータスのトラッキングを設定します。

バンドル管理のシナリオ

操作

バンドルのリストを取得Server-side管理者

リクエスト

管理用のプロジェクト内のバンドルリストを取得します。



このエンドポイントは、ストアカタログの構築に使用しないでください。
セキュリティ
basicAuth
パス
project_idinteger必須

プロジェクトID。このパラメータは、パブリッシャーアカウントのプロジェクト名の横、またはプロジェクトの作業中にブラウザのアドレスバーで確認できます。URLの形式は以下の通りです:https://publisher.xsolla.com/<merchant_id>/projects/<project_id>

例: 44056
クエリ
limitinteger>= 1

ページでの要素数の制限。

例: limit=50
offsetinteger>= 0

リストが生成される要素番号(カウントは0から始まります)。

例: offset=0
curl -i -X GET \
  -u <username>:<password> \
  'https://store.xsolla.com/api/v2/project/44056/admin/items/bundle?limit=50&offset=0'

レスポンス

バンドルのリストは正常に受信されました。

ボディapplication/json
itemsArray of objects
items[].​item_idinteger[ 1 .. 255 ] characters

内部の一意のアイテムID。

items[].​skustring[ 1 .. 255 ] characters^[a-zA-Z0-9_\-–.]*$

一意のアイテムID。SKUには、小文字と大文字のラテン英数字、ピリオド、ダッシュ、およびアンダースコアのみが含まれます。

items[].​name(object or null)

アイテム名に関するローカライズ用オブジェクト。2文字の小文字の言語コード(例:en)または5文字の言語コード(例:en-US)のいずれかの形式で値を受け入れます。どちらの形式も入力として受け入れられますが、応答は2文字の小文字の言語コードを返します。同じ言語に対して両方のオプションが提供された場合(例:enen-US)、最後に提供された値が保存されます。サポートされている言語の完全なリストは、ドキュメントで確認できます。

Any of:

2文字の小文字の言語コード。

items[].​name.​enstring or null

英語

items[].​name.​arstring or null

アラビア語

items[].​name.​bgstring or null

ブルガリア語

items[].​name.​cnstring or null

中国語(簡体字)

items[].​name.​csstring or null

チェコ語

items[].​name.​destring or null

ドイツ語

items[].​name.​esstring or null

スペイン語(スペイン)

items[].​name.​frstring or null

フランス語

items[].​name.​hestring or null

ヘブライ語

items[].​name.​itstring or null

イタリア語

items[].​name.​jastring or null

日本語

items[].​name.​kostring or null

韓国語

items[].​name.​plstring or null

ポーランド語

items[].​name.​ptstring or null

ポルトガル語

items[].​name.​rostring or null

ルーマニア語

items[].​name.​rustring or null

ロシア語

items[].​name.​thstring or null

タイ語

items[].​name.​trstring or null

トルコ語

items[].​name.​twstring or null

中国語(繁体字)

items[].​name.​vistring or null

ベトナム語

items[].​name.​kmstring or null

クメール語

items[].​name.​idstring or null

インドネシア語

items[].​name.​lostring or null

ラオス語

items[].​name.​mystring or null

ビルマ語

items[].​name.​phstring or null

フィリピン語

items[].​name.​nestring or null

ネパール語

items[].​attributesArray of objects

属性リスト。

例: [{"external_id":"attribute_external_id","name":{"en":"Attribute name","de":"Attributname"},"values":[{"external_id":"value_1","name":{"en":"value 1","de":"wert 1"}},{"external_id":"value_2","name":{"en":"value 2","de":"wert 2"}}]}]
items[].​attributes[].​external_idstring[ 1 .. 255 ] characters^[a-zA-Z0-9-_]+$必須

一意の属性ID。external_idには、小文字と大文字のラテン英数字、ダッシュ、およびアンダースコアのみが含まれます。

例: "attribute_external_id"
items[].​attributes[].​nameobject

属性用のローカライズされたオブジェクト。キーはISO 3166-1で指定されています。

例: {"en":"Attribute name","de":"Attributname"}
items[].​attributes[].​name.​property name*string追加プロパティ
items[].​attributes[].​valuesArray of objects必須
例: [{"external_id":"value_1","name":{"en":"value 1","de":"wert 1"}},{"external_id":"value_2","name":{"en":"value 2","de":"wert 2"}}]
items[].​attributes[].​values[].​external_idstring[ 1 .. 255 ] characters^[-_.\d\w]+$必須

属性の一意の値ID。external_idには、半角小文字の英数字、ハイフン、アンダースコアのみを含めることができます。

例: "value_external_id"
items[].​attributes[].​values[].​valueobject必須

値名がローカライズされたオブジェクト。キーはISO 3166-1で指定されています。

items[].​attributes[].​values[].​value.​property name*string追加プロパティ
items[].​typestring

アイテムタイプ。

items[].​bundle_typestring

バンドルタイプ。アイテムタイプがバンドルの場合に返されます。

列挙型"standard""virtual_currency_package""partner_side_content"
items[].​description(object or null)

アイテムの説明に関するローカライズ用オブジェクト。2文字の小文字の言語コード(例:en)または5文字のロケールコード(例:en-US)のいずれかの形式で値を受け入れます。どちらの形式も入力として受け入れられますが、応答は2文字の小文字の言語コードを返します。同じ言語に対して両方のオプションが提供された場合(例:enen-US)、最後に提供された値が保存されます。サポートされている言語の完全なリストは、ドキュメントで確認できます。

Any of:

2文字の小文字の言語コード。

items[].​description.​enstring or null

英語

items[].​description.​arstring or null

アラビア語

items[].​description.​bgstring or null

ブルガリア語

items[].​description.​cnstring or null

中国語(簡体字)

items[].​description.​csstring or null

チェコ語

items[].​description.​destring or null

ドイツ語

items[].​description.​esstring or null

スペイン語(スペイン)

items[].​description.​frstring or null

フランス語

items[].​description.​hestring or null

ヘブライ語

items[].​description.​itstring or null

イタリア語

items[].​description.​jastring or null

日本語

items[].​description.​kostring or null

韓国語

items[].​description.​plstring or null

ポーランド語

items[].​description.​ptstring or null

ポルトガル語

items[].​description.​rostring or null

ルーマニア語

items[].​description.​rustring or null

ロシア語

items[].​description.​thstring or null

タイ語

items[].​description.​trstring or null

トルコ語

items[].​description.​twstring or null

中国語(繁体字)

items[].​description.​vistring or null

ベトナム語

items[].​description.​kmstring or null

クメール語

items[].​description.​idstring or null

インドネシア語

items[].​description.​lostring or null

ラオス語

items[].​description.​mystring or null

ビルマ語

items[].​description.​phstring or null

フィリピン語

items[].​description.​nestring or null

ネパール語

items[].​long_description(object or null)

アイテムの長文説明のローカライズを含むオブジェクト。2文字の小文字の言語コード(例:en)または5文字のロケールコード(例:en-US)のいずれかの形式で値を受け入れます。どちらの形式も入力として受け入れられますが、応答は2文字の小文字の言語コードを返します。同じ言語に対して両方のバリアント(例:enen-US)が提供された場合、最後に提供された値が保存されます。サポートされている言語の完全なリストは、ドキュメントで確認できます。

Any of:

2文字の小文字の言語コード。

items[].​long_description.​enstring or null

英語

items[].​long_description.​arstring or null

アラビア語

items[].​long_description.​bgstring or null

ブルガリア語

items[].​long_description.​cnstring or null

中国語(簡体字)

items[].​long_description.​csstring or null

チェコ語

items[].​long_description.​destring or null

ドイツ語

items[].​long_description.​esstring or null

スペイン語(スペイン)

items[].​long_description.​frstring or null

フランス語

items[].​long_description.​hestring or null

ヘブライ語

items[].​long_description.​itstring or null

イタリア語

items[].​long_description.​jastring or null

日本語

items[].​long_description.​kostring or null

韓国語

items[].​long_description.​plstring or null

ポーランド語

items[].​long_description.​ptstring or null

ポルトガル語

items[].​long_description.​rostring or null

ルーマニア語

items[].​long_description.​rustring or null

ロシア語

items[].​long_description.​thstring or null

タイ語

items[].​long_description.​trstring or null

トルコ語

items[].​long_description.​twstring or null

中国語(繁体字)

items[].​long_description.​vistring or null

ベトナム語

items[].​long_description.​kmstring or null

クメール語

items[].​long_description.​idstring or null

インドネシア語

items[].​long_description.​lostring or null

ラオス語

items[].​long_description.​mystring or null

ビルマ語

items[].​long_description.​phstring or null

フィリピン語

items[].​long_description.​nestring or null

ネパール語

items[].​image_urlstring or null

画像URL。決済UI上で画像を正しく表示し、高速に読み込ませるために、当社の画像およびURLガイドラインを確認ください:

  • サポートされているフォーマット:WebP(推奨)、PNG、JPG
  • ファイルサイズ:50 KB以下(WebPの場合)または150 KB以下(PNGおよびJPGの場合)
  • 画像サイズ:280 × 280 px
  • カラースペース:sRGB
  • プロトコル:バージョン管理されたURLに対する、長期キャッシュを伴うHTTPS

items[].​is_freeboolean

アイテムが無料かどうか。

items[].​is_paid_randomized_rewardboolean

アイテムが、ルートボックスなどのランダムな有料報酬であるかどうか。

items[].​groupsArray of objects

アイテムが所属するグループ。

items[].​groups[].​external_idstring
例: "horror"
items[].​groups[].​nameobject

アイテム名。キーと値のペアを含める必要があり、 キーは "^[a-z]" 書式のロケール{2}で、値は文字列です。

デフォルト {"en":"Horror"}
例: {"en":"Horror","de":"Horror"}
items[].​groups[].​name.​property name*string追加プロパティ
items[].​pricesArray of objects

実際通貨建ての価格。

items[].​prices[].​amountstring^\d*\.?\d*$必須

アイテム価格。

items[].​prices[].​currencystring必須

商品価格通貨。ISO 4217 による3文字コード。

items[].​prices[].​is_defaultboolean必須

ユーザーの通貨での価格が指定されていない場合、デフォルトの価格がカタログ作成に使用されます。

items[].​prices[].​is_enabledboolean必須

価格が有効になりました。

items[].​prices[].​country_isostring or null

この価格が利用可能な国。ISO 3166-1 alpha 2に基づく2文字コード。

例: "US"
items[].​virtual_pricesArray of objects
items[].​virtual_prices[].​skustring[ 1 .. 255 ] characters^[a-zA-Z0-9_\-–.]*$

一意のアイテムID。SKUには、小文字と大文字のラテン英数字、ピリオド、ダッシュ、およびアンダースコアのみが含まれます。

items[].​virtual_prices[].​name(object or null)

アイテム名に関するローカライズ用オブジェクト。2文字の小文字の言語コード(例:en)または5文字の言語コード(例:en-US)のいずれかの形式で値を受け入れます。どちらの形式も入力として受け入れられますが、応答は2文字の小文字の言語コードを返します。同じ言語に対して両方のオプションが提供された場合(例:enen-US)、最後に提供された値が保存されます。サポートされている言語の完全なリストは、ドキュメントで確認できます。

Any of:

2文字の小文字の言語コード。

items[].​virtual_prices[].​name.​enstring or null

英語

items[].​virtual_prices[].​name.​arstring or null

アラビア語

items[].​virtual_prices[].​name.​bgstring or null

ブルガリア語

items[].​virtual_prices[].​name.​cnstring or null

中国語(簡体字)

items[].​virtual_prices[].​name.​csstring or null

チェコ語

items[].​virtual_prices[].​name.​destring or null

ドイツ語

items[].​virtual_prices[].​name.​esstring or null

スペイン語(スペイン)

items[].​virtual_prices[].​name.​frstring or null

フランス語

items[].​virtual_prices[].​name.​hestring or null

ヘブライ語

items[].​virtual_prices[].​name.​itstring or null

イタリア語

items[].​virtual_prices[].​name.​jastring or null

日本語

items[].​virtual_prices[].​name.​kostring or null

韓国語

items[].​virtual_prices[].​name.​plstring or null

ポーランド語

items[].​virtual_prices[].​name.​ptstring or null

ポルトガル語

items[].​virtual_prices[].​name.​rostring or null

ルーマニア語

items[].​virtual_prices[].​name.​rustring or null

ロシア語

items[].​virtual_prices[].​name.​thstring or null

タイ語

items[].​virtual_prices[].​name.​trstring or null

トルコ語

items[].​virtual_prices[].​name.​twstring or null

中国語(繁体字)

items[].​virtual_prices[].​name.​vistring or null

ベトナム語

items[].​virtual_prices[].​name.​kmstring or null

クメール語

items[].​virtual_prices[].​name.​idstring or null

インドネシア語

items[].​virtual_prices[].​name.​lostring or null

ラオス語

items[].​virtual_prices[].​name.​mystring or null

ビルマ語

items[].​virtual_prices[].​name.​phstring or null

フィリピン語

items[].​virtual_prices[].​name.​nestring or null

ネパール語

items[].​virtual_prices[].​typestring

仮想通貨のタイプ。

items[].​virtual_prices[].​description(object or null)

アイテムの説明に関するローカライズ用オブジェクト。2文字の小文字の言語コード(例:en)または5文字のロケールコード(例:en-US)のいずれかの形式で値を受け入れます。どちらの形式も入力として受け入れられますが、応答は2文字の小文字の言語コードを返します。同じ言語に対して両方のオプションが提供された場合(例:enen-US)、最後に提供された値が保存されます。サポートされている言語の完全なリストは、ドキュメントで確認できます。

Any of:

2文字の小文字の言語コード。

items[].​virtual_prices[].​description.​enstring or null

英語

items[].​virtual_prices[].​description.​arstring or null

アラビア語

items[].​virtual_prices[].​description.​bgstring or null

ブルガリア語

items[].​virtual_prices[].​description.​cnstring or null

中国語(簡体字)

items[].​virtual_prices[].​description.​csstring or null

チェコ語

items[].​virtual_prices[].​description.​destring or null

ドイツ語

items[].​virtual_prices[].​description.​esstring or null

スペイン語(スペイン)

items[].​virtual_prices[].​description.​frstring or null

フランス語

items[].​virtual_prices[].​description.​hestring or null

ヘブライ語

items[].​virtual_prices[].​description.​itstring or null

イタリア語

items[].​virtual_prices[].​description.​jastring or null

日本語

items[].​virtual_prices[].​description.​kostring or null

韓国語

items[].​virtual_prices[].​description.​plstring or null

ポーランド語

items[].​virtual_prices[].​description.​ptstring or null

ポルトガル語

items[].​virtual_prices[].​description.​rostring or null

ルーマニア語

items[].​virtual_prices[].​description.​rustring or null

ロシア語

items[].​virtual_prices[].​description.​thstring or null

タイ語

items[].​virtual_prices[].​description.​trstring or null

トルコ語

items[].​virtual_prices[].​description.​twstring or null

中国語(繁体字)

items[].​virtual_prices[].​description.​vistring or null

ベトナム語

items[].​virtual_prices[].​description.​kmstring or null

クメール語

items[].​virtual_prices[].​description.​idstring or null

インドネシア語

items[].​virtual_prices[].​description.​lostring or null

ラオス語

items[].​virtual_prices[].​description.​mystring or null

ビルマ語

items[].​virtual_prices[].​description.​phstring or null

フィリピン語

items[].​virtual_prices[].​description.​nestring or null

ネパール語

items[].​virtual_prices[].​image_urlstring or null

画像URL。決済UI上で画像を正しく表示し、高速に読み込ませるために、当社の画像およびURLガイドラインを確認ください:

  • サポートされているフォーマット:WebP(推奨)、PNG、JPG
  • ファイルサイズ:50 KB以下(WebPの場合)または150 KB以下(PNGおよびJPGの場合)
  • 画像サイズ:280 × 280 px
  • カラースペース:sRGB
  • プロトコル:バージョン管理されたURLに対する、長期キャッシュを伴うHTTPS

items[].​virtual_prices[].​amountstring^\d*\.?\d*$

割引を適用したアイテム価格。

items[].​virtual_prices[].​is_defaultboolean

アイテムの価格をデフォルトにするかどうか。

items[].​media_listArray of objects or null
Any of:

バンドルの追加アセット。

items[].​media_list[].​typestring

メディアタイプ:image/video

列挙型"image""video"
例: "image"
items[].​media_list[].​urlstring

リソースファイル。

例: "https://cdn3.xsolla.com/img/misc/images/71ab1e12126f2103e1868076f0acb21a.jpg"
items[].​orderinteger

リスト内のバンドル順の優先順位。

items[].​is_enabledboolean

無効の場合、アイテムを検索して購入することはできません。

items[].​is_show_in_storeboolean

アイテムは購入可能です。

items[].​regionsArray of objects
items[].​regions[].​idinteger>= 1
例: 1
items[].​contentArray of objects
items[].​content[].​skustring[ 1 .. 255 ] characters^[a-zA-Z0-9_\-–.]*$

一意のアイテムID。SKUには、小文字と大文字のラテン英数字、ピリオド、ダッシュ、およびアンダースコアのみが含まれます。

items[].​content[].​name(object or null)

アイテム名に関するローカライズ用オブジェクト。2文字の小文字の言語コード(例:en)または5文字の言語コード(例:en-US)のいずれかの形式で値を受け入れます。どちらの形式も入力として受け入れられますが、応答は2文字の小文字の言語コードを返します。同じ言語に対して両方のオプションが提供された場合(例:enen-US)、最後に提供された値が保存されます。サポートされている言語の完全なリストは、ドキュメントで確認できます。

Any of:

2文字の小文字の言語コード。

items[].​content[].​name.​enstring or null

英語

items[].​content[].​name.​arstring or null

アラビア語

items[].​content[].​name.​bgstring or null

ブルガリア語

items[].​content[].​name.​cnstring or null

中国語(簡体字)

items[].​content[].​name.​csstring or null

チェコ語

items[].​content[].​name.​destring or null

ドイツ語

items[].​content[].​name.​esstring or null

スペイン語(スペイン)

items[].​content[].​name.​frstring or null

フランス語

items[].​content[].​name.​hestring or null

ヘブライ語

items[].​content[].​name.​itstring or null

イタリア語

items[].​content[].​name.​jastring or null

日本語

items[].​content[].​name.​kostring or null

韓国語

items[].​content[].​name.​plstring or null

ポーランド語

items[].​content[].​name.​ptstring or null

ポルトガル語

items[].​content[].​name.​rostring or null

ルーマニア語

items[].​content[].​name.​rustring or null

ロシア語

items[].​content[].​name.​thstring or null

タイ語

items[].​content[].​name.​trstring or null

トルコ語

items[].​content[].​name.​twstring or null

中国語(繁体字)

items[].​content[].​name.​vistring or null

ベトナム語

items[].​content[].​name.​kmstring or null

クメール語

items[].​content[].​name.​idstring or null

インドネシア語

items[].​content[].​name.​lostring or null

ラオス語

items[].​content[].​name.​mystring or null

ビルマ語

items[].​content[].​name.​phstring or null

フィリピン語

items[].​content[].​name.​nestring or null

ネパール語

items[].​content[].​typestring

アイテムタイプ。

items[].​content[].​description(object or null)

アイテムの説明に関するローカライズ用オブジェクト。2文字の小文字の言語コード(例:en)または5文字のロケールコード(例:en-US)のいずれかの形式で値を受け入れます。どちらの形式も入力として受け入れられますが、応答は2文字の小文字の言語コードを返します。同じ言語に対して両方のオプションが提供された場合(例:enen-US)、最後に提供された値が保存されます。サポートされている言語の完全なリストは、ドキュメントで確認できます。

Any of:

2文字の小文字の言語コード。

items[].​content[].​description.​enstring or null

英語

items[].​content[].​description.​arstring or null

アラビア語

items[].​content[].​description.​bgstring or null

ブルガリア語

items[].​content[].​description.​cnstring or null

中国語(簡体字)

items[].​content[].​description.​csstring or null

チェコ語

items[].​content[].​description.​destring or null

ドイツ語

items[].​content[].​description.​esstring or null

スペイン語(スペイン)

items[].​content[].​description.​frstring or null

フランス語

items[].​content[].​description.​hestring or null

ヘブライ語

items[].​content[].​description.​itstring or null

イタリア語

items[].​content[].​description.​jastring or null

日本語

items[].​content[].​description.​kostring or null

韓国語

items[].​content[].​description.​plstring or null

ポーランド語

items[].​content[].​description.​ptstring or null

ポルトガル語

items[].​content[].​description.​rostring or null

ルーマニア語

items[].​content[].​description.​rustring or null

ロシア語

items[].​content[].​description.​thstring or null

タイ語

items[].​content[].​description.​trstring or null

トルコ語

items[].​content[].​description.​twstring or null

中国語(繁体字)

items[].​content[].​description.​vistring or null

ベトナム語

items[].​content[].​description.​kmstring or null

クメール語

items[].​content[].​description.​idstring or null

インドネシア語

items[].​content[].​description.​lostring or null

ラオス語

items[].​content[].​description.​mystring or null

ビルマ語

items[].​content[].​description.​phstring or null

フィリピン語

items[].​content[].​description.​nestring or null

ネパール語

items[].​content[].​image_urlstring or null

画像URL。決済UI上で画像を正しく表示し、高速に読み込ませるために、当社の画像およびURLガイドラインを確認ください:

  • サポートされているフォーマット:WebP(推奨)、PNG、JPG
  • ファイルサイズ:50 KB以下(WebPの場合)または150 KB以下(PNGおよびJPGの場合)
  • 画像サイズ:280 × 280 px
  • カラースペース:sRGB
  • プロトコル:バージョン管理されたURLに対する、長期キャッシュを伴うHTTPS

items[].​content[].​quantityinteger>= 1

バンドル内のアイテムタイプの数量。

デフォルト 1
items[].​limitsobject or null

アイテム制限。

items[].​limits.​per_userobject or null

別ユーザーのアイテム制限。

items[].​limits.​per_user.​totalinteger

1ユーザーあたりのユーザーが購入できるアイテムの最大数。

items[].​limits.​per_user.​limit_exceeded_visibilitystring

購入制限に達してから次回の制限リセットまでの間、カタログ内でのアイテムの表示・非表示を決定します。

これは、recurrent_schedule配列で定期的な制限リセットが設定されているアイテムに適用されます。

購入制限のリセットが設定されていない場合、購入制限に達した後は、limit_exceeded_visibilityの値に関わらず、そのアイテムはカタログに表示されなくなります。

指定可能な値:

  • show — 購入制限に達した後も、カタログ取得用のAPIコールに対してアイテム情報が返却されます。クライアントサイドのカタログ取得APIコールにおいては、制限に達した時点でアイテムにcan_be_bought: falseフラグが付与されて返されます。次回のリセット日時はreset_next_dateに格納されて返却されます。
  • hide — 購入制限に達した時点から、制限値がリセットされるまでの間、カタログ取得用のAPIコールにおいてアイテムは返されなくなります。
列挙型"show""hide"
items[].​limits.​per_itemobject or null

グローバルアイテム制限。

items[].​limits.​per_item.​totalinteger

すべてのユーザーが購入できるアイテムの最大数。

items[].​limits.​per_item.​availableinteger

すべてのユーザーが購入できるアイテムの残り数。

items[].​limits.​per_item.​reservedinteger
items[].​limits.​per_item.​soldinteger
items[].​limits.​recurrent_scheduleobject or null

制限更新期間。

items[].​limits.​recurrent_schedule.​per_userobject

ユーザー制限更新期間。

One of:

ユーザー制限の日次更新タイプ。

items[].​limits.​recurrent_schedule.​per_user.​interval_typestring

定期更新期間のタイプ。

"daily"
items[].​limits.​recurrent_schedule.​per_user.​timestring(full-time)

希望するタイムゾーンでのリミットの更新時刻(時間単位への四捨五入)。

例: "11:00:00+03:00"
items[].​limits.​recurrent_schedule.​per_user.​reset_next_dateinteger

制限が更新された日時(UNIXタイムスタンプ)。

例: 1677553200
items[].​limits.​recurrent_schedule.​per_user.​displayable_reset_start_datestring(date-time)

最初の制限更新の日時(ISO 8601)。

例: "2023-02-28T11:00:00+08:00"
items[].​limits.​recurrent_schedule.​per_user.​displayable_reset_next_datestring(date-time)

制限をリセットする日時(ISO 8601)。

例: "2023-02-28T11:00:00+08:00"
items[].​periodsArray of objects

アイテム販売期間。

items[].​periods[].​date_fromstring or null(date-time)

指定されたアイテムの販売開始日。

例: "2020-08-11T10:00:00+03:00"
items[].​periods[].​date_untilstring or null(date-time)

指定されたアイテムが販売できなくなる日付。nullを指定することもできます。

例: "2020-08-11T20:00:00+03:00"
items[].​custom_attributesobject(json)

アイテムの属性と値を含むJSONオブジェクト。

items[].​total_content_priceobject or null

バンドルコンテンツ価格の合計。

items[].​total_content_price.​amountstring

バンドルコンテンツの価格を割引いた場合の合計。

例: "100.99"
items[].​total_content_price.​amount_without_discountstring

バンドルコンテンツ価格の合計。

例: "100.99"
items[].​total_content_price.​currencystring

商品価格通貨。ISO 4217 による3文字コード。

レスポンス
application/json
{ "items": [ {}, {} ] }

バンドルを作成Server-side管理者

リクエスト

複数のアイテムを1つの単位としてセット販売するバンドルを作成します。バンドルには、仮想アイテム、仮想通貨パッケージ、ゲームキー、および他のバンドルを含めることができます。詳細については、バンドルセクションを参照してください。

注意

content配列内のすべてのアイテムは、事前にプロジェクト内で作成されている必要があります。指定されたSKUが存在しない場合、システムはエラーを返します。
セキュリティ
basicAuth
パス
project_idinteger必須

プロジェクトID。このパラメータは、パブリッシャーアカウントのプロジェクト名の横、またはプロジェクトの作業中にブラウザのアドレスバーで確認できます。URLの形式は以下の通りです:https://publisher.xsolla.com/<merchant_id>/projects/<project_id>

例: 44056
ボディapplication/json必須

バンドルデータを持つオブジェクト。

skustring[ 1 .. 255 ] characters^[a-zA-Z0-9_\-–.]*$必須

一意のアイテムID。SKUには、小文字と大文字のラテン英数字、ピリオド、ダッシュ、およびアンダースコアのみが含まれます。

name(object or null)必須

アイテム名に関するローカライズ用オブジェクト。2文字の小文字の言語コード(例:en)または5文字の言語コード(例:en-US)のいずれかの形式で値を受け入れます。どちらの形式も入力として受け入れられますが、応答は2文字の小文字の言語コードを返します。同じ言語に対して両方のオプションが提供された場合(例:enen-US)、最後に提供された値が保存されます。サポートされている言語の完全なリストは、ドキュメントで確認できます。

Any of:

2文字の小文字の言語コード。

name.​enstring or null

英語

name.​arstring or null

アラビア語

name.​bgstring or null

ブルガリア語

name.​cnstring or null

中国語(簡体字)

name.​csstring or null

チェコ語

name.​destring or null

ドイツ語

name.​esstring or null

スペイン語(スペイン)

name.​frstring or null

フランス語

name.​hestring or null

ヘブライ語

name.​itstring or null

イタリア語

name.​jastring or null

日本語

name.​kostring or null

韓国語

name.​plstring or null

ポーランド語

name.​ptstring or null

ポルトガル語

name.​rostring or null

ルーマニア語

name.​rustring or null

ロシア語

name.​thstring or null

タイ語

name.​trstring or null

トルコ語

name.​twstring or null

中国語(繁体字)

name.​vistring or null

ベトナム語

name.​kmstring or null

クメール語

name.​idstring or null

インドネシア語

name.​lostring or null

ラオス語

name.​mystring or null

ビルマ語

name.​phstring or null

フィリピン語

name.​nestring or null

ネパール語

groupsArray of strings

アイテムが所属するグループ。

注。文字列の値はグループ `external_id`を指します。
attributesArray of objects<= 20 items

属性リスト。

注意。アイテムの属性は20個以上指定することはできません。制限を超えようとすると、エラーが発生します。
attributes[].​external_idstring[ 1 .. 255 ] characters^[a-zA-Z0-9-_]+$必須

一意の属性ID。external_idには、小文字と大文字のラテン英数字、ダッシュ、およびアンダースコアのみが含まれます。

attributes[].​nameobject

属性用のローカライズされたオブジェクト。キーはISO 3166-1で指定されています。

attributes[].​name.​property name*string追加プロパティ
attributes[].​valuesArray of objects必須
注意。各属性に6つ以上の値を作成することはできません。制限を超えようとすると、エラーが発生します。
例: [{"external_id":"strategy","value":{"en":"Strategy","de":"Strategie"}},{"external_id":"action","value":{"en":"Action","de":"Aktion"}}]
attributes[].​values[].​external_idstring[ 1 .. 255 ] characters^[-_.\d\w]+$必須

属性の一意の値ID。external_idには、半角小文字の英数字、ハイフン、アンダースコアのみを含めることができます。

例: "value_external_id"
attributes[].​values[].​valueobject必須

値名がローカライズされたオブジェクト。キーはISO 3166-1で指定されています。

attributes[].​values[].​value.​property name*string追加プロパティ
description(object or null)必須

アイテムの説明に関するローカライズ用オブジェクト。2文字の小文字の言語コード(例:en)または5文字のロケールコード(例:en-US)のいずれかの形式で値を受け入れます。どちらの形式も入力として受け入れられますが、応答は2文字の小文字の言語コードを返します。同じ言語に対して両方のオプションが提供された場合(例:enen-US)、最後に提供された値が保存されます。サポートされている言語の完全なリストは、ドキュメントで確認できます。

Any of:

2文字の小文字の言語コード。

description.​enstring or null

英語

description.​arstring or null

アラビア語

description.​bgstring or null

ブルガリア語

description.​cnstring or null

中国語(簡体字)

description.​csstring or null

チェコ語

description.​destring or null

ドイツ語

description.​esstring or null

スペイン語(スペイン)

description.​frstring or null

フランス語

description.​hestring or null

ヘブライ語

description.​itstring or null

イタリア語

description.​jastring or null

日本語

description.​kostring or null

韓国語

description.​plstring or null

ポーランド語

description.​ptstring or null

ポルトガル語

description.​rostring or null

ルーマニア語

description.​rustring or null

ロシア語

description.​thstring or null

タイ語

description.​trstring or null

トルコ語

description.​twstring or null

中国語(繁体字)

description.​vistring or null

ベトナム語

description.​kmstring or null

クメール語

description.​idstring or null

インドネシア語

description.​lostring or null

ラオス語

description.​mystring or null

ビルマ語

description.​phstring or null

フィリピン語

description.​nestring or null

ネパール語

long_description(object or null)

アイテムの長文説明のローカライズを含むオブジェクト。2文字の小文字の言語コード(例:en)または5文字のロケールコード(例:en-US)のいずれかの形式で値を受け入れます。どちらの形式も入力として受け入れられますが、応答は2文字の小文字の言語コードを返します。同じ言語に対して両方のバリアント(例:enen-US)が提供された場合、最後に提供された値が保存されます。サポートされている言語の完全なリストは、ドキュメントで確認できます。

Any of:

2文字の小文字の言語コード。

long_description.​enstring or null

英語

long_description.​arstring or null

アラビア語

long_description.​bgstring or null

ブルガリア語

long_description.​cnstring or null

中国語(簡体字)

long_description.​csstring or null

チェコ語

long_description.​destring or null

ドイツ語

long_description.​esstring or null

スペイン語(スペイン)

long_description.​frstring or null

フランス語

long_description.​hestring or null

ヘブライ語

long_description.​itstring or null

イタリア語

long_description.​jastring or null

日本語

long_description.​kostring or null

韓国語

long_description.​plstring or null

ポーランド語

long_description.​ptstring or null

ポルトガル語

long_description.​rostring or null

ルーマニア語

long_description.​rustring or null

ロシア語

long_description.​thstring or null

タイ語

long_description.​trstring or null

トルコ語

long_description.​twstring or null

中国語(繁体字)

long_description.​vistring or null

ベトナム語

long_description.​kmstring or null

クメール語

long_description.​idstring or null

インドネシア語

long_description.​lostring or null

ラオス語

long_description.​mystring or null

ビルマ語

long_description.​phstring or null

フィリピン語

long_description.​nestring or null

ネパール語

image_urlstring or null

画像URL。決済UI上で画像を正しく表示し、高速に読み込ませるために、当社の画像およびURLガイドラインを確認ください:

  • サポートされているフォーマット:WebP(推奨)、PNG、JPG
  • ファイルサイズ:50 KB以下(WebPの場合)または150 KB以下(PNGおよびJPGの場合)
  • 画像サイズ:280 × 280 px
  • カラースペース:sRGB
  • プロトコル:バージョン管理されたURLに対する、長期キャッシュを伴うHTTPS

pricesArray of objects

実際通貨建ての価格。

prices[].​amountstring^\d*\.?\d*$必須

アイテム価格。

prices[].​currencystring必須

商品価格通貨。ISO 4217 による3文字コード。

prices[].​is_defaultboolean必須

ユーザーの通貨での価格が指定されていない場合、デフォルトの価格がカタログ作成に使用されます。

prices[].​is_enabledboolean必須

価格が有効になりました。

prices[].​country_isostring or null

この価格が利用可能な国。ISO 3166-1 alpha 2に基づく2文字コード。

例: "US"
vc_pricesArray of objects or null
Any of:
vc_prices[].​skustring

一意のアイテムID。SKUには、小文字と大文字のラテン英数字、ピリオド、ダッシュ、およびアンダースコアのみが含まれます。

例: "gold"
vc_prices[].​amountinteger必須
vc_prices[].​is_defaultboolean必須
vc_prices[].​is_enabledboolean必須
bundle_typestring

バンドルタイプ。standardを使用してアイテムのバンドルを作成し、バンドルに含まれるアイテムの SKU を指定します。 partner_side_contentを使用して空のバンドルを作成し、ウェブフックを使用してユーザー側でアイテムを追加します。このタイプは、パートナー側でのカタログ個人用設定でのみ使用されます。

列挙型"standard""partner_side_content"
contentArray of objectsnon-empty

バンドルに含まれるアイテムの配列です。各エントリでアイテムのSKUと数量を指定します。すべてのアイテムは、事前にプロジェクト内で作成されている必要があります。指定されたSKUが存在しない場合、システムはエラーを返します。

例: [{"sku":"com.xsolla.kg_1","quantity":1}]
content[].​skustring[ 1 .. 255 ] characters^[a-zA-Z0-9_\-–.]*$必須

バンドルに含めるアイテムのSKUです。このアイテムは、事前にプロジェクト内で作成されている必要があります。指定されたSKUが存在しない場合、システムはエラーを返します。使用可能な文字は、半角英数字(a–z、A–Z、0–9)、ピリオド(.)、ハイプン(-)、アンダースコア(_)です。

例: "com.xsolla.kg_1"
content[].​quantityinteger>= 1

バンドル内の選択されたアイテムの数量。

デフォルト 1
例: 1
is_freeboolean

アイテムが無料かどうか。

is_paid_randomized_rewardboolean

アイテムが、ルートボックスなどのランダムな有料報酬であるかどうか。

is_enabledboolean

無効の場合、アイテムを検索して購入することはできません。

is_show_in_storeboolean

アイテムは購入可能です。

media_listArray of objects or null
Any of:

バンドルの追加アセット。

media_list[].​typestring

メディアタイプ:image/video

列挙型"image""video"
例: "image"
media_list[].​urlstring

リソースファイル。

例: "https://cdn3.xsolla.com/img/misc/images/71ab1e12126f2103e1868076f0acb21a.jpg"
orderinteger

リスト内のバンドル順の優先順位。

regionsArray of objects
regions[].​idinteger>= 1
例: 1
limitsobject

アイテム制限。

limits.​per_usernull or integer or object

別ユーザーのアイテム制限。

Any of:

別ユーザーのアイテム制限。

null
limits.​per_iteminteger or null

グローバルアイテム制限。

limits.​recurrent_scheduleobject or null

制限更新期間。

limits.​recurrent_schedule.​per_userobject

購入制限のリセットは、指定された時間間隔で実行されます。

One of:

購入制限のリセットは、指定された時間間隔で実行されます。

limits.​recurrent_schedule.​per_user.​interval_typestring必須

定期更新期間。

"daily"
limits.​recurrent_schedule.​per_user.​timestring((0[0-9]|1[0-9]|2[0-3]):00:00)(\+|-)(0[0-9]|1...必須

希望するタイムゾーンでのリミットの更新時刻(時間単位への四捨五入)。

例: "02:00:00+03:00"
periodsArray of objects or null

アイテム販売期間。

periods[].​date_fromstring(date-time)

指定されたアイテムの販売開始日。

例: "2020-08-11T10:00:00+03:00"
periods[].​date_untilstring or null(date-time)

指定されたアイテムが販売できなくなる日付。nullを指定することもできます。

例: "2020-08-11T20:00:00+03:00"
custom_attributesobject(json)<= 500 characters

アイテムの属性と値を含むJSONオブジェクト。属性により、アイテムを使用するために必要なプレイヤーのレベルなど、より詳細な情報をアイテムに追加することができます。属性はゲームの内部ロジックを豊かにし、専用の「取得」メソッドやウェブフックからアクセスできます。

curl -i -X POST \
  -u <username>:<password> \
  https://store.xsolla.com/api/v2/project/44056/admin/items/bundle \
  -H 'Content-Type: application/json' \
  -d '{
    "sku": "com.xsolla.armour_chest_1",
    "name": {
      "en": "Chest of armour",
      "de": "Brustpanzer"
    },
    "is_enabled": true,
    "is_free": true,
    "is_paid_randomized_reward": true,
    "order": 1,
    "long_description": {
      "en": "Chest of armour for soldiers",
      "de": "Brustpanzer für Soldaten"
    },
    "description": {
      "en": "Chest of armour for soldiers",
      "de": "Brustpanzer für Soldaten"
    },
    "image_url": "https://picture.bundle-with-many-stuff.png",
    "media_list": [
      {
        "type": "image",
        "url": "https://test.com/image0"
      },
      {
        "type": "image",
        "url": "https://test.com/image1"
      }
    ],
    "groups": [
      "chests"
    ],
    "attributes": [
      {
        "external_id": "class",
        "name": {
          "en": "Class"
        },
        "values": [
          {
            "external_id": "soldier",
            "value": {
              "en": "Soldier"
            }
          },
          {
            "external_id": "officer",
            "value": {
              "en": "Officer"
            }
          }
        ]
      }
    ],
    "prices": [
      {
        "currency": "USD",
        "amount": "9.99",
        "is_default": true,
        "is_enabled": true
      },
      {
        "currency": "EUR",
        "amount": "9.99",
        "is_default": false,
        "is_enabled": true
      }
    ],
    "vc_prices": [],
    "content": [
      {
        "sku": "com.xsolla.iron_gloves_1",
        "quantity": 1
      },
      {
        "sku": "com.xsolla.iron_boots_1",
        "quantity": 1
      },
      {
        "sku": "com.xsolla.iron_shield_1",
        "quantity": 1
      },
      {
        "sku": "com.xsolla.iron_armour_1",
        "quantity": 1
      },
      {
        "sku": "com.xsolla.iron_helmet_1",
        "quantity": 1
      }
    ],
    "limits": {
      "per_user": null,
      "per_item": null
    },
    "periods": [
      {
        "date_from": "2020-08-11T10:00:00+03:00",
        "date_until": "2020-08-11T20:00:00+03:00"
      }
    ],
    "custom_attributes": {
      "type": "lootbox",
      "purchased": 0
    }
  }'

レスポンス

バンドルが正常に作成されました。

ボディapplication/json
skustring[ 1 .. 255 ] characters^[a-zA-Z0-9_\-–.]*$

一意のアイテムID。SKUには、小文字と大文字のラテン英数字、ピリオド、ダッシュ、およびアンダースコアのみが含まれます。

レスポンス
application/json
{ "sku": "com.xsolla.kg_1" }

指定されたグループIDのバンドルリストを取得するServer-side管理者

リクエスト

管理用にグループ内のバンドルリストを取得します。



このエンドポイントは、ストアカタログの構築に使用しないでください。
セキュリティ
basicAuth
パス
project_idinteger必須

プロジェクトID。このパラメータは、パブリッシャーアカウントのプロジェクト名の横、またはプロジェクトの作業中にブラウザのアドレスバーで確認できます。URLの形式は以下の通りです:https://publisher.xsolla.com/<merchant_id>/projects/<project_id>

例: 44056
group_idinteger必須

グループID。

例: 10
クエリ
limitinteger>= 1

ページでの要素数の制限。

例: limit=50
offsetinteger>= 0

リストが生成される要素番号(カウントは0から始まります)。

例: offset=0
curl -i -X GET \
  -u <username>:<password> \
  'https://store.xsolla.com/api/v2/project/44056/admin/items/bundle/group/id/10?limit=50&offset=0'

レスポンス

バンドルのリストは正常に受信されました。

ボディapplication/json
itemsArray of objects
items[].​item_idinteger[ 1 .. 255 ] characters

内部の一意のアイテムID。

items[].​skustring[ 1 .. 255 ] characters^[a-zA-Z0-9_\-–.]*$

一意のアイテムID。SKUには、小文字と大文字のラテン英数字、ピリオド、ダッシュ、およびアンダースコアのみが含まれます。

items[].​name(object or null)

アイテム名に関するローカライズ用オブジェクト。2文字の小文字の言語コード(例:en)または5文字の言語コード(例:en-US)のいずれかの形式で値を受け入れます。どちらの形式も入力として受け入れられますが、応答は2文字の小文字の言語コードを返します。同じ言語に対して両方のオプションが提供された場合(例:enen-US)、最後に提供された値が保存されます。サポートされている言語の完全なリストは、ドキュメントで確認できます。

Any of:

2文字の小文字の言語コード。

items[].​name.​enstring or null

英語

items[].​name.​arstring or null

アラビア語

items[].​name.​bgstring or null

ブルガリア語

items[].​name.​cnstring or null

中国語(簡体字)

items[].​name.​csstring or null

チェコ語

items[].​name.​destring or null

ドイツ語

items[].​name.​esstring or null

スペイン語(スペイン)

items[].​name.​frstring or null

フランス語

items[].​name.​hestring or null

ヘブライ語

items[].​name.​itstring or null

イタリア語

items[].​name.​jastring or null

日本語

items[].​name.​kostring or null

韓国語

items[].​name.​plstring or null

ポーランド語

items[].​name.​ptstring or null

ポルトガル語

items[].​name.​rostring or null

ルーマニア語

items[].​name.​rustring or null

ロシア語

items[].​name.​thstring or null

タイ語

items[].​name.​trstring or null

トルコ語

items[].​name.​twstring or null

中国語(繁体字)

items[].​name.​vistring or null

ベトナム語

items[].​name.​kmstring or null

クメール語

items[].​name.​idstring or null

インドネシア語

items[].​name.​lostring or null

ラオス語

items[].​name.​mystring or null

ビルマ語

items[].​name.​phstring or null

フィリピン語

items[].​name.​nestring or null

ネパール語

items[].​attributesArray of objects

属性リスト。

例: [{"external_id":"attribute_external_id","name":{"en":"Attribute name","de":"Attributname"},"values":[{"external_id":"value_1","name":{"en":"value 1","de":"wert 1"}},{"external_id":"value_2","name":{"en":"value 2","de":"wert 2"}}]}]
items[].​attributes[].​external_idstring[ 1 .. 255 ] characters^[a-zA-Z0-9-_]+$必須

一意の属性ID。external_idには、小文字と大文字のラテン英数字、ダッシュ、およびアンダースコアのみが含まれます。

例: "attribute_external_id"
items[].​attributes[].​nameobject

属性用のローカライズされたオブジェクト。キーはISO 3166-1で指定されています。

例: {"en":"Attribute name","de":"Attributname"}
items[].​attributes[].​name.​property name*string追加プロパティ
items[].​attributes[].​valuesArray of objects必須
例: [{"external_id":"value_1","name":{"en":"value 1","de":"wert 1"}},{"external_id":"value_2","name":{"en":"value 2","de":"wert 2"}}]
items[].​attributes[].​values[].​external_idstring[ 1 .. 255 ] characters^[-_.\d\w]+$必須

属性の一意の値ID。external_idには、半角小文字の英数字、ハイフン、アンダースコアのみを含めることができます。

例: "value_external_id"
items[].​attributes[].​values[].​valueobject必須

値名がローカライズされたオブジェクト。キーはISO 3166-1で指定されています。

items[].​attributes[].​values[].​value.​property name*string追加プロパティ
items[].​typestring

アイテムタイプ。

items[].​bundle_typestring

バンドルタイプ。アイテムタイプがバンドルの場合に返されます。

列挙型"standard""virtual_currency_package""partner_side_content"
items[].​description(object or null)

アイテムの説明に関するローカライズ用オブジェクト。2文字の小文字の言語コード(例:en)または5文字のロケールコード(例:en-US)のいずれかの形式で値を受け入れます。どちらの形式も入力として受け入れられますが、応答は2文字の小文字の言語コードを返します。同じ言語に対して両方のオプションが提供された場合(例:enen-US)、最後に提供された値が保存されます。サポートされている言語の完全なリストは、ドキュメントで確認できます。

Any of:

2文字の小文字の言語コード。

items[].​description.​enstring or null

英語

items[].​description.​arstring or null

アラビア語

items[].​description.​bgstring or null

ブルガリア語

items[].​description.​cnstring or null

中国語(簡体字)

items[].​description.​csstring or null

チェコ語

items[].​description.​destring or null

ドイツ語

items[].​description.​esstring or null

スペイン語(スペイン)

items[].​description.​frstring or null

フランス語

items[].​description.​hestring or null

ヘブライ語

items[].​description.​itstring or null

イタリア語

items[].​description.​jastring or null

日本語

items[].​description.​kostring or null

韓国語

items[].​description.​plstring or null

ポーランド語

items[].​description.​ptstring or null

ポルトガル語

items[].​description.​rostring or null

ルーマニア語

items[].​description.​rustring or null

ロシア語

items[].​description.​thstring or null

タイ語

items[].​description.​trstring or null

トルコ語

items[].​description.​twstring or null

中国語(繁体字)

items[].​description.​vistring or null

ベトナム語

items[].​description.​kmstring or null

クメール語

items[].​description.​idstring or null

インドネシア語

items[].​description.​lostring or null

ラオス語

items[].​description.​mystring or null

ビルマ語

items[].​description.​phstring or null

フィリピン語

items[].​description.​nestring or null

ネパール語

items[].​long_description(object or null)

アイテムの長文説明のローカライズを含むオブジェクト。2文字の小文字の言語コード(例:en)または5文字のロケールコード(例:en-US)のいずれかの形式で値を受け入れます。どちらの形式も入力として受け入れられますが、応答は2文字の小文字の言語コードを返します。同じ言語に対して両方のバリアント(例:enen-US)が提供された場合、最後に提供された値が保存されます。サポートされている言語の完全なリストは、ドキュメントで確認できます。

Any of:

2文字の小文字の言語コード。

items[].​long_description.​enstring or null

英語

items[].​long_description.​arstring or null

アラビア語

items[].​long_description.​bgstring or null

ブルガリア語

items[].​long_description.​cnstring or null

中国語(簡体字)

items[].​long_description.​csstring or null

チェコ語

items[].​long_description.​destring or null

ドイツ語

items[].​long_description.​esstring or null

スペイン語(スペイン)

items[].​long_description.​frstring or null

フランス語

items[].​long_description.​hestring or null

ヘブライ語

items[].​long_description.​itstring or null

イタリア語

items[].​long_description.​jastring or null

日本語

items[].​long_description.​kostring or null

韓国語

items[].​long_description.​plstring or null

ポーランド語

items[].​long_description.​ptstring or null

ポルトガル語

items[].​long_description.​rostring or null

ルーマニア語

items[].​long_description.​rustring or null

ロシア語

items[].​long_description.​thstring or null

タイ語

items[].​long_description.​trstring or null

トルコ語

items[].​long_description.​twstring or null

中国語(繁体字)

items[].​long_description.​vistring or null

ベトナム語

items[].​long_description.​kmstring or null

クメール語

items[].​long_description.​idstring or null

インドネシア語

items[].​long_description.​lostring or null

ラオス語

items[].​long_description.​mystring or null

ビルマ語

items[].​long_description.​phstring or null

フィリピン語

items[].​long_description.​nestring or null

ネパール語

items[].​image_urlstring or null

画像URL。決済UI上で画像を正しく表示し、高速に読み込ませるために、当社の画像およびURLガイドラインを確認ください:

  • サポートされているフォーマット:WebP(推奨)、PNG、JPG
  • ファイルサイズ:50 KB以下(WebPの場合)または150 KB以下(PNGおよびJPGの場合)
  • 画像サイズ:280 × 280 px
  • カラースペース:sRGB
  • プロトコル:バージョン管理されたURLに対する、長期キャッシュを伴うHTTPS

items[].​is_freeboolean

アイテムが無料かどうか。

items[].​is_paid_randomized_rewardboolean

アイテムが、ルートボックスなどのランダムな有料報酬であるかどうか。

items[].​groupsArray of objects

アイテムが所属するグループ。

items[].​groups[].​external_idstring
例: "horror"
items[].​groups[].​nameobject

アイテム名。キーと値のペアを含める必要があり、 キーは "^[a-z]" 書式のロケール{2}で、値は文字列です。

デフォルト {"en":"Horror"}
例: {"en":"Horror","de":"Horror"}
items[].​groups[].​name.​property name*string追加プロパティ
items[].​pricesArray of objects

実際通貨建ての価格。

items[].​prices[].​amountstring^\d*\.?\d*$必須

アイテム価格。

items[].​prices[].​currencystring必須

商品価格通貨。ISO 4217 による3文字コード。

items[].​prices[].​is_defaultboolean必須

ユーザーの通貨での価格が指定されていない場合、デフォルトの価格がカタログ作成に使用されます。

items[].​prices[].​is_enabledboolean必須

価格が有効になりました。

items[].​prices[].​country_isostring or null

この価格が利用可能な国。ISO 3166-1 alpha 2に基づく2文字コード。

例: "US"
items[].​virtual_pricesArray of objects
items[].​virtual_prices[].​skustring[ 1 .. 255 ] characters^[a-zA-Z0-9_\-–.]*$

一意のアイテムID。SKUには、小文字と大文字のラテン英数字、ピリオド、ダッシュ、およびアンダースコアのみが含まれます。

items[].​virtual_prices[].​name(object or null)

アイテム名に関するローカライズ用オブジェクト。2文字の小文字の言語コード(例:en)または5文字の言語コード(例:en-US)のいずれかの形式で値を受け入れます。どちらの形式も入力として受け入れられますが、応答は2文字の小文字の言語コードを返します。同じ言語に対して両方のオプションが提供された場合(例:enen-US)、最後に提供された値が保存されます。サポートされている言語の完全なリストは、ドキュメントで確認できます。

Any of:

2文字の小文字の言語コード。

items[].​virtual_prices[].​name.​enstring or null

英語

items[].​virtual_prices[].​name.​arstring or null

アラビア語

items[].​virtual_prices[].​name.​bgstring or null

ブルガリア語

items[].​virtual_prices[].​name.​cnstring or null

中国語(簡体字)

items[].​virtual_prices[].​name.​csstring or null

チェコ語

items[].​virtual_prices[].​name.​destring or null

ドイツ語

items[].​virtual_prices[].​name.​esstring or null

スペイン語(スペイン)

items[].​virtual_prices[].​name.​frstring or null

フランス語

items[].​virtual_prices[].​name.​hestring or null

ヘブライ語

items[].​virtual_prices[].​name.​itstring or null

イタリア語

items[].​virtual_prices[].​name.​jastring or null

日本語

items[].​virtual_prices[].​name.​kostring or null

韓国語

items[].​virtual_prices[].​name.​plstring or null

ポーランド語

items[].​virtual_prices[].​name.​ptstring or null

ポルトガル語

items[].​virtual_prices[].​name.​rostring or null

ルーマニア語

items[].​virtual_prices[].​name.​rustring or null

ロシア語

items[].​virtual_prices[].​name.​thstring or null

タイ語

items[].​virtual_prices[].​name.​trstring or null

トルコ語

items[].​virtual_prices[].​name.​twstring or null

中国語(繁体字)

items[].​virtual_prices[].​name.​vistring or null

ベトナム語

items[].​virtual_prices[].​name.​kmstring or null

クメール語

items[].​virtual_prices[].​name.​idstring or null

インドネシア語

items[].​virtual_prices[].​name.​lostring or null

ラオス語

items[].​virtual_prices[].​name.​mystring or null

ビルマ語

items[].​virtual_prices[].​name.​phstring or null

フィリピン語

items[].​virtual_prices[].​name.​nestring or null

ネパール語

items[].​virtual_prices[].​typestring

仮想通貨のタイプ。

items[].​virtual_prices[].​description(object or null)

アイテムの説明に関するローカライズ用オブジェクト。2文字の小文字の言語コード(例:en)または5文字のロケールコード(例:en-US)のいずれかの形式で値を受け入れます。どちらの形式も入力として受け入れられますが、応答は2文字の小文字の言語コードを返します。同じ言語に対して両方のオプションが提供された場合(例:enen-US)、最後に提供された値が保存されます。サポートされている言語の完全なリストは、ドキュメントで確認できます。

Any of:

2文字の小文字の言語コード。

items[].​virtual_prices[].​description.​enstring or null

英語

items[].​virtual_prices[].​description.​arstring or null

アラビア語

items[].​virtual_prices[].​description.​bgstring or null

ブルガリア語

items[].​virtual_prices[].​description.​cnstring or null

中国語(簡体字)

items[].​virtual_prices[].​description.​csstring or null

チェコ語

items[].​virtual_prices[].​description.​destring or null

ドイツ語

items[].​virtual_prices[].​description.​esstring or null

スペイン語(スペイン)

items[].​virtual_prices[].​description.​frstring or null

フランス語

items[].​virtual_prices[].​description.​hestring or null

ヘブライ語

items[].​virtual_prices[].​description.​itstring or null

イタリア語

items[].​virtual_prices[].​description.​jastring or null

日本語

items[].​virtual_prices[].​description.​kostring or null

韓国語

items[].​virtual_prices[].​description.​plstring or null

ポーランド語

items[].​virtual_prices[].​description.​ptstring or null

ポルトガル語

items[].​virtual_prices[].​description.​rostring or null

ルーマニア語

items[].​virtual_prices[].​description.​rustring or null

ロシア語

items[].​virtual_prices[].​description.​thstring or null

タイ語

items[].​virtual_prices[].​description.​trstring or null

トルコ語

items[].​virtual_prices[].​description.​twstring or null

中国語(繁体字)

items[].​virtual_prices[].​description.​vistring or null

ベトナム語

items[].​virtual_prices[].​description.​kmstring or null

クメール語

items[].​virtual_prices[].​description.​idstring or null

インドネシア語

items[].​virtual_prices[].​description.​lostring or null

ラオス語

items[].​virtual_prices[].​description.​mystring or null

ビルマ語

items[].​virtual_prices[].​description.​phstring or null

フィリピン語

items[].​virtual_prices[].​description.​nestring or null

ネパール語

items[].​virtual_prices[].​image_urlstring or null

画像URL。決済UI上で画像を正しく表示し、高速に読み込ませるために、当社の画像およびURLガイドラインを確認ください:

  • サポートされているフォーマット:WebP(推奨)、PNG、JPG
  • ファイルサイズ:50 KB以下(WebPの場合)または150 KB以下(PNGおよびJPGの場合)
  • 画像サイズ:280 × 280 px
  • カラースペース:sRGB
  • プロトコル:バージョン管理されたURLに対する、長期キャッシュを伴うHTTPS

items[].​virtual_prices[].​amountstring^\d*\.?\d*$

割引を適用したアイテム価格。

items[].​virtual_prices[].​is_defaultboolean

アイテムの価格をデフォルトにするかどうか。

items[].​media_listArray of objects or null
Any of:

バンドルの追加アセット。

items[].​media_list[].​typestring

メディアタイプ:image/video

列挙型"image""video"
例: "image"
items[].​media_list[].​urlstring

リソースファイル。

例: "https://cdn3.xsolla.com/img/misc/images/71ab1e12126f2103e1868076f0acb21a.jpg"
items[].​orderinteger

リスト内のバンドル順の優先順位。

items[].​is_enabledboolean

無効の場合、アイテムを検索して購入することはできません。

items[].​is_show_in_storeboolean

アイテムは購入可能です。

items[].​regionsArray of objects
items[].​regions[].​idinteger>= 1
例: 1
items[].​contentArray of objects
items[].​content[].​skustring[ 1 .. 255 ] characters^[a-zA-Z0-9_\-–.]*$

一意のアイテムID。SKUには、小文字と大文字のラテン英数字、ピリオド、ダッシュ、およびアンダースコアのみが含まれます。

items[].​content[].​name(object or null)

アイテム名に関するローカライズ用オブジェクト。2文字の小文字の言語コード(例:en)または5文字の言語コード(例:en-US)のいずれかの形式で値を受け入れます。どちらの形式も入力として受け入れられますが、応答は2文字の小文字の言語コードを返します。同じ言語に対して両方のオプションが提供された場合(例:enen-US)、最後に提供された値が保存されます。サポートされている言語の完全なリストは、ドキュメントで確認できます。

Any of:

2文字の小文字の言語コード。

items[].​content[].​name.​enstring or null

英語

items[].​content[].​name.​arstring or null

アラビア語

items[].​content[].​name.​bgstring or null

ブルガリア語

items[].​content[].​name.​cnstring or null

中国語(簡体字)

items[].​content[].​name.​csstring or null

チェコ語

items[].​content[].​name.​destring or null

ドイツ語

items[].​content[].​name.​esstring or null

スペイン語(スペイン)

items[].​content[].​name.​frstring or null

フランス語

items[].​content[].​name.​hestring or null

ヘブライ語

items[].​content[].​name.​itstring or null

イタリア語

items[].​content[].​name.​jastring or null

日本語

items[].​content[].​name.​kostring or null

韓国語

items[].​content[].​name.​plstring or null

ポーランド語

items[].​content[].​name.​ptstring or null

ポルトガル語

items[].​content[].​name.​rostring or null

ルーマニア語

items[].​content[].​name.​rustring or null

ロシア語

items[].​content[].​name.​thstring or null

タイ語

items[].​content[].​name.​trstring or null

トルコ語

items[].​content[].​name.​twstring or null

中国語(繁体字)

items[].​content[].​name.​vistring or null

ベトナム語

items[].​content[].​name.​kmstring or null

クメール語

items[].​content[].​name.​idstring or null

インドネシア語

items[].​content[].​name.​lostring or null

ラオス語

items[].​content[].​name.​mystring or null

ビルマ語

items[].​content[].​name.​phstring or null

フィリピン語

items[].​content[].​name.​nestring or null

ネパール語

items[].​content[].​typestring

アイテムタイプ。

items[].​content[].​description(object or null)

アイテムの説明に関するローカライズ用オブジェクト。2文字の小文字の言語コード(例:en)または5文字のロケールコード(例:en-US)のいずれかの形式で値を受け入れます。どちらの形式も入力として受け入れられますが、応答は2文字の小文字の言語コードを返します。同じ言語に対して両方のオプションが提供された場合(例:enen-US)、最後に提供された値が保存されます。サポートされている言語の完全なリストは、ドキュメントで確認できます。

Any of:

2文字の小文字の言語コード。

items[].​content[].​description.​enstring or null

英語

items[].​content[].​description.​arstring or null

アラビア語

items[].​content[].​description.​bgstring or null

ブルガリア語

items[].​content[].​description.​cnstring or null

中国語(簡体字)

items[].​content[].​description.​csstring or null

チェコ語

items[].​content[].​description.​destring or null

ドイツ語

items[].​content[].​description.​esstring or null

スペイン語(スペイン)

items[].​content[].​description.​frstring or null

フランス語

items[].​content[].​description.​hestring or null

ヘブライ語

items[].​content[].​description.​itstring or null

イタリア語

items[].​content[].​description.​jastring or null

日本語

items[].​content[].​description.​kostring or null

韓国語

items[].​content[].​description.​plstring or null

ポーランド語

items[].​content[].​description.​ptstring or null

ポルトガル語

items[].​content[].​description.​rostring or null

ルーマニア語

items[].​content[].​description.​rustring or null

ロシア語

items[].​content[].​description.​thstring or null

タイ語

items[].​content[].​description.​trstring or null

トルコ語

items[].​content[].​description.​twstring or null

中国語(繁体字)

items[].​content[].​description.​vistring or null

ベトナム語

items[].​content[].​description.​kmstring or null

クメール語

items[].​content[].​description.​idstring or null

インドネシア語

items[].​content[].​description.​lostring or null

ラオス語

items[].​content[].​description.​mystring or null

ビルマ語

items[].​content[].​description.​phstring or null

フィリピン語

items[].​content[].​description.​nestring or null

ネパール語

items[].​content[].​image_urlstring or null

画像URL。決済UI上で画像を正しく表示し、高速に読み込ませるために、当社の画像およびURLガイドラインを確認ください:

  • サポートされているフォーマット:WebP(推奨)、PNG、JPG
  • ファイルサイズ:50 KB以下(WebPの場合)または150 KB以下(PNGおよびJPGの場合)
  • 画像サイズ:280 × 280 px
  • カラースペース:sRGB
  • プロトコル:バージョン管理されたURLに対する、長期キャッシュを伴うHTTPS

items[].​content[].​quantityinteger>= 1

バンドル内のアイテムタイプの数量。

デフォルト 1
items[].​limitsobject or null

アイテム制限。

items[].​limits.​per_userobject or null

別ユーザーのアイテム制限。

items[].​limits.​per_user.​totalinteger

1ユーザーあたりのユーザーが購入できるアイテムの最大数。

items[].​limits.​per_user.​limit_exceeded_visibilitystring

購入制限に達してから次回の制限リセットまでの間、カタログ内でのアイテムの表示・非表示を決定します。

これは、recurrent_schedule配列で定期的な制限リセットが設定されているアイテムに適用されます。

購入制限のリセットが設定されていない場合、購入制限に達した後は、limit_exceeded_visibilityの値に関わらず、そのアイテムはカタログに表示されなくなります。

指定可能な値:

  • show — 購入制限に達した後も、カタログ取得用のAPIコールに対してアイテム情報が返却されます。クライアントサイドのカタログ取得APIコールにおいては、制限に達した時点でアイテムにcan_be_bought: falseフラグが付与されて返されます。次回のリセット日時はreset_next_dateに格納されて返却されます。
  • hide — 購入制限に達した時点から、制限値がリセットされるまでの間、カタログ取得用のAPIコールにおいてアイテムは返されなくなります。
列挙型"show""hide"
items[].​limits.​per_itemobject or null

グローバルアイテム制限。

items[].​limits.​per_item.​totalinteger

すべてのユーザーが購入できるアイテムの最大数。

items[].​limits.​per_item.​availableinteger

すべてのユーザーが購入できるアイテムの残り数。

items[].​limits.​per_item.​reservedinteger
items[].​limits.​per_item.​soldinteger
items[].​limits.​recurrent_scheduleobject or null

制限更新期間。

items[].​limits.​recurrent_schedule.​per_userobject

ユーザー制限更新期間。

One of:

ユーザー制限の日次更新タイプ。

items[].​limits.​recurrent_schedule.​per_user.​interval_typestring

定期更新期間のタイプ。

"daily"
items[].​limits.​recurrent_schedule.​per_user.​timestring(full-time)

希望するタイムゾーンでのリミットの更新時刻(時間単位への四捨五入)。

例: "11:00:00+03:00"
items[].​limits.​recurrent_schedule.​per_user.​reset_next_dateinteger

制限が更新された日時(UNIXタイムスタンプ)。

例: 1677553200
items[].​limits.​recurrent_schedule.​per_user.​displayable_reset_start_datestring(date-time)

最初の制限更新の日時(ISO 8601)。

例: "2023-02-28T11:00:00+08:00"
items[].​limits.​recurrent_schedule.​per_user.​displayable_reset_next_datestring(date-time)

制限をリセットする日時(ISO 8601)。

例: "2023-02-28T11:00:00+08:00"
items[].​periodsArray of objects

アイテム販売期間。

items[].​periods[].​date_fromstring or null(date-time)

指定されたアイテムの販売開始日。

例: "2020-08-11T10:00:00+03:00"
items[].​periods[].​date_untilstring or null(date-time)

指定されたアイテムが販売できなくなる日付。nullを指定することもできます。

例: "2020-08-11T20:00:00+03:00"
items[].​custom_attributesobject(json)

アイテムの属性と値を含むJSONオブジェクト。

items[].​total_content_priceobject or null

バンドルコンテンツ価格の合計。

items[].​total_content_price.​amountstring

バンドルコンテンツの価格を割引いた場合の合計。

例: "100.99"
items[].​total_content_price.​amount_without_discountstring

バンドルコンテンツ価格の合計。

例: "100.99"
items[].​total_content_price.​currencystring

商品価格通貨。ISO 4217 による3文字コード。

レスポンス
application/json
{ "items": [ {}, {} ] }
操作

概要

カートは、複数のアイテムを1つの注文にまとめることができる購入メカニズムです。ユーザーは、任意のタイプのアイテムを任意の数量で実際通貨で購入でき、プロモーションコードも使用できます。

カートはエクソーラ側で保存されます。セッションをまたいでカートを保存できるかどうかは、ユーザーが認証されているかによって異なります。

  • 認証されたユーザーの場合、カートは特定のユーザーに紐付けられ、同じユーザーとしてリクエストが送信される限り、セッションをまたいで保存されます。

  • 未認証ユーザーの場合、カートの保存はx-unauthorized-idヘッダーの成否に依存します。未認証ユーザーのカートをセッション間で保持するには、すべてのリクエストで同じx-unauthorized-idを渡してください。なお、このオプションはゲームキーの販売時のみ利用可能です。

カートを特定する方法は2つあります。ユーザーのJWTによる自動特定、またはカートID(cart_id)による特定です。

カート管理は、クライアント側とサーバー側の両方で利用可能です。

サーバー側では、ユーザーセッションを復元する場合などに、カートにアイテムを入れることができます。クライアント側では、以下の操作が利用可能です:

  • 現在のユーザーのカートまたはIDによるカートを取得する
  • カートにアイテムを追加する
  • カート内のアイテムを更新する
  • カートからアイテムを削除する

カートからアイテムを購入するには、注文作成のためのクライアントとサーバーのコールが使用されます。

カートの有効期限(TTL)は、デフォルトで72時間です。新しいアイテムが追加されるなど、カートの内容が変更されると、TTLは延長されます。

決済が成功した後も、カートは自動的にはクリアされません。カートをクリアするには、クライアントサイドの以下のAPIコールを使用してください:

カート使用シナリオ:

  1. ユーザーがアイテムを選択するストアUIを実装します。

  2. ユーザーがストアでアイテムを選択した際、たとえば カートへアイテムを追加するコールを使用してアイテムをカートに追加します。アイテム配列には、SKUと必要なアイテムの数量を渡す必要があります。

  3. カート表示UIを実装します。ユーザーがカートに移動した際、現在のユーザーのカートを取得するコールを使用してカートの内容を表示します。応答には、割引や適用されたプロモーションを含むアイテムの最終価格に関する情報が返されます。

  4. 注文の支払いを行うために、決済UIを開く処理を実装します。たとえば、特定のカートの全アイテムを含む注文を作成するコールを使用できます。応答には、決済UIを開くためのトークンが返されます。

  5. 決済が完了したアイテムのデータをタイムリーに受け取り、ユーザーにそれらを付与するために、たとえばウェブフックを使用して注文状況の追跡を設定します。

注意

ゲーム内およびオンラインでのアイテム販売を実装するには、統合ガイドを参照してください。

カートと決済フロー

注文のライフサイクル

注文のライフサイクルを理解することは、注文の追跡や、アイテムの付与といった購入後ロジックの正確な実装に役立ちます。

注文は以下のステータスを遷移します:

ステータス説明備考
new注文が作成されました。システムは支払い完了の確認を待っています。トランザクションステータスの説明は、ペイステーションAPIに関するドキュメントで確認できます。
paid注文の支払いが完了し(トランザクションがdoneステータスに移行)、ユーザーにアイテムを付与できる状態です支払いが確認されるまで、注文はnewステータスのままとなります。
doneアイテムがユーザーに付与されました。
canceled支払いが返金されました。トランザクションステータスrefundedに変更されると、注文はこのステータスに移行します。
expired制限 付きアイテム、プロモーションコード、またはプロモーションに対して新しい注文を作成すると、そのアイテムを含む過去の未払いの注文はすべてexpiredステータスに移行します。支払いが可能なのは最新の注文のみです。ユーザーが有効期限切れの注文に対して支払いを試みた場合、支払いUIに 2002 エラーが表示され、決済は失敗します。

注文のライフサイクル

注意

ユーザーが支払いを完了する間に注文がexpiredステータスに移行した場合でも、決済自体が成功したときは、注文はexpiredからpaidステータスに移行します。ただし、これが適用されるのは、決済時にその注文アイテムの購入制限数を超えない場合に限られます。

カート(クライアント側)

このセクションのコールを使用して、クライアント側でカートを管理します。

操作

カート(サーバー側)

このセクションのコールを使用して、サーバー側でカートを管理します。

操作

決済(クライアント側)

このセクションのコールを使用して、クライアント側で決済トークンを作成します。

操作

決済(サーバー側)

このセクションのコールを使用して、サーバー側で決済トークンを作成します。

操作

注文

このセクションのコールを使用して、注文に関する情報を取得します。

操作

無料アイテム

ユーザーに無料アイテムを付与するには、このセクションのコールを使用してください。

操作

概要

購入制限を使用すると、単一のユーザーまたはすべてのユーザーが購入できるアイテム数量を制限できます。スケジュールされた制限リセットを設定することもできます。

制限はエクソーラ側に保存され、パブリッシャーアカウントで個々のアイテムレベルで設定されるか、以下のAPIコールのlimitsオブジェクトを介して設定されます:

制限情報は、アイテムカタログを取得するための以下のAPIコールでitems.limitsオブジェクトに返されます:

制限グループの管理サブセクションに属するAPIコールにより、制限の現在状態の取得、および指定したユーザーに対する制限値の更新が可能となります(例:クエスト完了時におけるカウンターのリセット、残存数量の手動調整など)。

注意

カタログでの制限設定の詳細については、アイテム購入制限セクションを参照してください。
操作
操作
操作

マーチャント

操作

カタログ

このAPIは販売可能なアイテムや特定のアイテムを取得することができます。

操作
操作
操作
操作
操作